Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAll

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMGroupType
                  |
                  +--com.bea.schema.SOMAll

public class SOMAll
extends SOMGroupType

<all> The grouping construct for schema components. The XML representation for a model group schema component is either an <all>, a <choice> or a <sequence> element information item. The all component specifies that all children must be present to be valid, but that any order of those elements is acceptable.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.SOMGroupType
`m_childElements`

Constructor Summary
`` | `SOMAll()`
`protected` | `SOMAll(org.xml.sax.Attributes attrs, SOMObject parent)` constructor for use with SAX parser, loading SOM from a file.

Method Summary
`SOMAll` | `add(SOMAll p_all)` An <all> is an illegal child element for <all>.
`SOMAny` | `add(SOMAny p_any)` An <any> is an illegal child element for <all>.
`SOMChoice` | `add(SOMChoice p_choice)` A <choice> is an illegal child element for <all>.
`SOMGroup` | `add(SOMGroup p_group)` A <group> is an illegal child element for <all>.
`SOMSequence` | `add(SOMSequence p_sequence)` A <sequence> is an illegal child element for <all>.
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)`
`java.lang.String` | `getID()`
`void` | `setMaxOccurs(int p_maxOccurs)` overrides the super class setMaxOccurs method.
`void` | `setMinOccurs(int p_minOccurs)` overrides the super class setMinOccurs method.
`protected boolean` | `startsWith(org.w3c.dom.Node element)`
`protected org.w3c.dom.Node` | `validate(org.w3c.dom.Node element, java.util.List errorList)` An xsd:all may contain any of its child elements in any order.

Methods inherited from class com.bea.schema.SOMGroupType
`add, addAnnotation, addChild, addElement, addElement, contains, getAnnotation, getAttributes, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMinOccurs, toXML, validateOccurances`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMAll

    public SOMAll()

### SOMAll

    protected SOMAll(org.xml.sax.Attributes attrs,
                     SOMObject parent)

  constructor for use with SAX parser, loading SOM from a file.

  Parameters:
    `attrs` -

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### setMinOccurs

    public void setMinOccurs(int p_minOccurs)

  overrides the super class setMinOccurs method. The all component must have a minOccurs attribute equal to 1.

  Parameters:
    `p_minOccurs` -
  Overrides:
    setMinOccurs in class SOMGroupType

### setMaxOccurs

    public void setMaxOccurs(int p_maxOccurs)

  overrides the super class setMaxOccurs method. The all component must have a maxOccurs attribute equal to 1.

  Parameters:
    `p_maxOccurs` -
  Overrides:
    setMaxOccurs in class SOMGroupType

### add

    public SOMChoice add(SOMChoice p_choice)

  A <choice> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMGroup add(SOMGroup p_group)

  A <group> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMSequence add(SOMSequence p_sequence)

  A <sequence> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMAll add(SOMAll p_all)

  An <all> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMAny add(SOMAny p_any)

  An <any> is an illegal child element for <all>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Overrides:
    createDefault in class SOMGroupType

### validate

    protected org.w3c.dom.Node validate(org.w3c.dom.Node element,
                                        java.util.List errorList)
                                 throws SOMValidationException

  An xsd:all may contain any of its child elements in any order. Each child element may appear a max of 1 time, with minOccurs=0 indicating an optional element.

  Overrides:
    validate in class SOMGroupType

### startsWith

    protected boolean startsWith(org.w3c.dom.Node element)

  Overrides:
    startsWith in class SOMGroupType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)